### Function

# GdkX11.X11Surface.lookup_for_display

#### Declaration [src]

    GdkSurface*
    gdk_x11_surface_lookup_for_display (
      GdkDisplay* display,
      Window window
    )

#### Description [src]

Looks up the `GdkSurface` that wraps the given native window handle.

#### Parameters

`display` | `GdkX11Display`
| the `GdkDisplay` corresponding to the window handle
| Ownership is not transferred to the callee
`window` | `Window`
| an Xlib Window

#### Return value

Returns: `GdkX11Surface`
the `GdkSurface` wrapper for the native window, or `NULL` if there is none.
Ownership is not transferred to the caller